For more recent changes, please see:

http://gnuradio.org/trac/timeline

2006-06-20  Eric Blossom  <eb@comsec.com>

	* python/gmsk2/receive_path.py, python/gmsk2/transmit_path.py,
	benchmark_gmsk_{tx,rx}.py: refactored to use modulation
	independent pkt.py code.  Lays the foundation for a single set of
	tools that can exercise all modulations.  More work required to
	meet that goal, but we're closing in.

	* python/gmsk2/tunnel.py: refactored version of
	tunnel_ip_null_mac.  This creates a virtual ethernet inteface
	using the TAP driver, and then tunnels packets across the air
	using GMSK and a simple carrier sense MAC.  Fixed problem with
	truncation of large packets which was leading to stalls.
	
	* python/gmsk2/tunnel_ip_null_mac.py: removed.  Replaced with
	tunnel.py

2006-06-15  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_fft.py (app_flow_graph.set_decim): added
	missing return value.

	* python/usrp/usrp_oscope.py, python/usrp/usrp_fft.py: you can now
	change the decimation factor in the GUI.

2006-06-06  Eric Blossom  <eb@comsec.com>

	* python/gmsk2/mpsk.py: Lots of rework.  QPSK is now
	working with mpsk_test.py.   Need to confirm it on the air, and then
	make BPSK work again.
	

2006-05-30  Eric Blossom  <eb@comsec.com>

	Standardized on mpsk as the prefix.  Renamed a bunch of stuff to
	restore sanity: 
	* python/gmsk2/benchmark_xpsk_rx.py -> python/gmsk2/benchmark_mpsk_rx.py
	* python/gmsk2/benchmark_xpsk_tx.py -> python/gmsk2/benchmark_mpsk_tx.py
	* python/gmsk2/psk_receive_path.py  -> python/gmsk2/mpsk_receive_path.py
	* python/gmsk2/psk_transmit_path.py -> python/gmsk2/mpsk_transmit_path.py
	* python/gmsk2/xpsk.py              -> python/gmsk2/mpsk.py
	* python/gmsk2/xpsk_pkt.py          -> python/gmsk2/mpsk_pkt.py
	* python/gmsk2/xpsk_test.py         -> python/gmsk2/mpsk_test.py

2006-05-29  Eric Blossom  <eb@comsec.com>

	* python/gmsk2/qpsk_tester.py, python/gmsk2/qpsk_usrp_tester.py:
	new.  Test benches for qpsk code. Thanks Tom!

2005-12-19  Martin Dvh <gnuradiomail@olifantasia.com>

	updated multi_usrp examples which should now work 'out-of-the-box' with current cvs
        (you need updated usrp,gr-usrp, gnuradio-core and gnuradio-examples)

	* configure.ac: added python/usrp_multi/Makefile
	* python/Makefile.am: added multi_usrp
	* python/multi_usrp/.cvsignore: new
	* python/multi_usrp/Makefile.am: new
	* python/multi_usrp/README: Made this into a real readme
	* python/multi_usrp/multi_usrp_oscope.py: changed to work with current usrp_multi code in cvs
	* python/multi_usrp/multi_usrp_rx_cfile.py: changed to work with current usrp_multi code in cvs
	* python/multi_usrp/multi_usrp.py: removed
	* python/multi_usrp/multi_usrp_oscope_showcounters.py: removed
	* python/multi_usrp/multi_usrp_oscope_simple.py: removed
	* python/multi_usrp/multi_usrp_oscope_standalone.py: removed
	* python/multi_usrp/multi_usrp_rx_tofile.py: removed
	* python/multi_usrp/multi_usrp_rx_tofile_standalone.py: removed
	* python/multi_usrp/multi_usrp_test_counting.py: removed

2006-05-10  Eric Blossom  <eb@comsec.com>

	* python/gmsk2/psk_transmit_path.py: add diff=False per Bob Vincent.

2006-04-06  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_fft.py: removed explicit setting of fft_rate.
	The code will now pick it up from config files.

2006-03-12  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_siggen.py: added daughterboard support.
	* python/usrp/usrp_oscope.py, python/usrp/usrp_fft.py: fixed so
	frequency can be set even after an invalid frequency is passed on
	the command line.

2006-03-10  Eric Blossom  <eb@comsec.com>

	* python/gmsk2/xpsk.py: doc fixes.

2006-03-08  Eric Blossom  <eb@comsec.com>

	* python/usrp/fm_tx_2_daughterboards.py: example that transmits
	different signals out two daughterboards.

2006-02-02  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_oscope.py: support manual scaling of
	Y-axis.  Smarter defaulting of rx_subdev_spec if user doesn't pick.
	* python/usrp/usrp_fft.py: Smarter defaulting of rx_subdev_spec if user doesn't pick.

2006-02-01  Eric Blossom  <eb@comsec.com>

	* python/gmsk2/transmit_path.py: fixed so it works on both A and B sides.

2006-01-30  Eric Blossom  <eb@comsec.com>

	* python/gmsk2/receive_path.py (receive_path.set_auto_tr): added
	set_auto_tr to the receive path to have it work properly with
	changes in auto t/r switching semantics.

	* python/usrp/fm_tx4.py (fm_tx_graph.__init__): changes to have it
	work in both A and B sides.

2005-12-19  Martin Dvh <gnuradiomail@olifantasia.com>

	* multi_usrp/README, multi_usrp/multi_usrp.py, multi_usrp/multi_usrp_oscope.py,
	multi_usrp/multi_usrp_oscope_showcounters.py, multi_usrp/multi_usrp_oscope_simple.py,
	multi_usrp/multi_usrp_oscope_standalone.py, multi_usrp/multi_usrp_rx_tofile.py,
	multi_usrp/multi_usrp_rx_tofile_standalone.py, multi_usrp/multi_usrp_test_counting.py:
	new directory and examples to exercise multiple usrps coherently
	connected together.  These require additional code that is not yet
	in the repository.

2005-12-13  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_wfm_rcv2_nogui.py: new: receive two FM stations
	simultaneously.

2005-12-09  Eric Blossom  <eb@comsec.com>

	* python/gmsk2/tunnel_ip_null_mac.py: cleaned up.  gathered mac
	functions together.
	
	* python/usrp/usrp_wfm_rcv_pll.py (pick_subdevice), 
	python/usrp/usrp_wfm_rcv_nogui.py (pick_subdevice): use library version.
	* python/usrp/fm_tx4.py: explicity call set_enable(True) to turn
	on transmitter (required due to policy change).  Also removed
	pick_tx_subdevice.  Now use version in usrp library.

2005-12-09  Eric Blossom  <eb@comsec.com>

	Made release 2.6

2005-12-08  Eric Blossom  <eb@comsec.com>

	* python/gmsk/rx.py, python/gmsk/rx2.py, python/gmsk/tx.py,
	python/gmsk/tx2.py, python/gmsk/xcvr.py, python/gmsk/xcvr2.py,
	ggmsk-test.py, gmsk-test.py: removed.  Use the code in ../gmsk2 instead.

	* python/gmsk2/receive_path.py, python/gmsk2/transmit_path.py:
	New.  Extracted hierarchical blocks from benchmark_gmsk_{tx,rx}.py

2005-12-06  Eric Blossom  <eb@comsec.com>

	* python/gmsk2/benchmark_gmsk_tx.py,
	python/gmsk2/benchmark_gmsk_rx.py: now support "--bitrate" command
	line arg.
	* python/gmsk2/pick_bitrate.py: given a bitrate, determine
	samples/baud and interp/decim ratio.

2005-11-11  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_nbfm_ptt.py, python/usrp/usrp_wfm_rcv.py: moved
	pick_xx_subdev to library.

2005-11-01  Eric Blossom  <eb@comsec.com>

	* python/usrp/dbs_nbfm.py: removed.  Use usrp_nbfm_rcv.py instead.

2005-10-24  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_oscope.py: basically identical to usrp_fft.py,
	but uses oscope sink.

	* python/usrp/usrp_wfm_rcv_nogui.py, python/usr/usrp_wfm_rcv.py:
	increased usrp decimation factor to 200 reduce host cpu
	requirements.  With the half-band in the FPGA, good decimation
	factors are even values in [8,256].

2005-10-14  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_fft.py: gui mods.
	* python/usrp/usrp_wfm_rcv.py: reworked gui.

2005-10-11  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_waterfall.py: removed.  Use usrp_fft.py -W instead.

2005-10-10  Eric Blossom  <eb@comsec.com>

	* python/audio/audio_copy.py, python/audio/audio_play.py,
	python/audio/audio_to_file.py, python/audio/dial_tone.py,
	python/audio/mono_tone.py, python/audio/multi_tone.py,
	python/audio/spectrum_inversion.py: revised to use standard
	command line args and canonical structure.

2005-09-21  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_fft.py: extensively reworked to use new
	daughterboard auto-instantiation framework.

2005-07-30 Martin Dvh <gnuradiomail@olifantasia.com>

	* python/usrp/tvrx_tv_rcv.py: PAL/NTSC TV demod.  Work in progress.

2005-07-21  Eric Blossom  <eb@comsec.com>

	* python/usrp/benchmark_usb.py, python/usrp/usrp_rx_cfile.py,
	python/usrp/usrp_oscope.py, python/usrp/dbs_debug: doc fix.

2005-07-19  Eric Blossom  <eb@comsec.com>

	* python/usrp/ayfabtu.py: new.  Transmit on 25 frequencies simultaneously!

2005-07-02  Eric Blossom  <eb@comsec.com>

	* config/gr_no_undefined.m4, config/gr_x86_64.m4: new, x86_64 support.
	* config/gr_python.m4: backed out search for libpython, making
	x86_64 work and breaking Cygwin/MinGW.
	* configure.ac: mods for x86_64, $(NO_UNDEFINED)
	
	* python/usrp/usrp_waterfall.py, python/usrp/dbs_debug.py,
	python/usrp/flexrf_debug.py, python/usrp/flexrf_siggen.py,
     	python/usrp/usrp_fft.py, python/usrp/usrp_oscope.py,
	python/usrp/usrp_rx_cfile.py, python/usrp/usrp_rx_file.py,
	python/usrp/usrp_siggen.py, python/usrp/usrp_waterfall.py:
	gru.hexint fix for python 2.4.
	
2005-06-17  Eric Blossom  <eb@comsec.com>

	* python/apps/README: new directory for applications.

2005-06-16  Eric Blossom  <eb@comsec.com>

	* python/usrp/tvrx_wfm_rcv_gui.py: add -d audio_device option; fix
	volume increment so up == 1.0/down; fix default range of bottom FFT.

2005-06-13  Eric Blossom  <eb@comsec.com>

	* python/usrp/tvrx_wfm_rcv_gui.py: removed limit on what frequency
	can be set.

2005-05-09  Stephane Fillod  <f8cfe@free.fr>

        * config/gr_sysv_shm.m4: SysV shared memory not mandatory
	* config/gr_pwin32.m4, config/gr_python.m4, config/lf_cxx.m4:
	  fixes for Cygwin, MinGW

2005-04-27  Eric Blossom  <eb@comsec.com>

	* python/digital_voice/encdec.py: simulate gsm voice encode / 
	gmsk mod / gmsk demod / gsm voice decode.
	
2005-03-29  Eric Blossom <eb@comsec.com>

	* python/gmsk/ggmsk-test.py, python/gmsk/gmsk-test.py: new GMSK
	test code from Joshua Lackey <jl@noether.uoregon.edu>

	* python/gmsk/tx.py, python/gmsk/rx.py: new tx and rx modules that
	depending on command line options do either FSK or GMSK and use
	either files, sockets, named pipes or a USRP for their inputs and
	outputs.  From Bob Vincent <bvincent@bbn.com>

2005-03-29  Eric Blossom  <eb@comsec.com>
	
	* python/audio/audio_copy.py, python/audio/multi_tone.py,
	python/audio/mono_tone.py: replace ALSA specific default argument
	with ""

2005-03-04  Eric Blossom  <eb@comsec.com>

	* python/usrp/nbfm_ptt_quick_and_dirty.py: simple NBFM
	push-to-talk transceiver. (Works, but has a latency problem that
	needs to be fixed)

2005-02-28  Eric Blossom  <eb@comsec.com>

	* python/usrp/fsk_tx.py: reduced gain, added -N (no gui) flag.
	* python/usrp/fsk_rx.py: added -N (no gui) flag.
	Running Tx and Rx on same machine (1.4 GHz Pentium M) 100kb/sec
	burns up about 70% of CPU with -N options on both.

2005-02-25  Eric Blossom  <eb@comsec.com>

	Removed usrp0 directory.
	Moved contents of usrp1 directory into usrp directory.

2005-02-22  Eric Blossom  <eb@comsec.com>

	* python/usrp1/nbfm_rcv.py: added squelch.

2004-10-13  Eric Blossom  <eb@comsec.com>

	* configure.ac: upped rev to 0.2cvs

2004-10-11  Eric Blossom  <eb@comsec.com>

	* Makefile.am (EXTRA_DIST): added config.h.in

2004-10-07  Chuck Swiger  <cswiger@widomaker.com>
	
	* python/audio/audio_to_file.py: coerce audio sample rate to int.

2004-10-07  Eric Blossom  <eb@comsec.com>
	
	* python/usrp1/wfm_rcv.py: new.  Single channel broadcast FM
	receiver for usrp1 + microtune 4937.

2004-09-23  Eric Blossom  <eb@comsec.com>

	* config/usrp_fusb_tech.m4, config/bnv_have_qt.m4, config/cppunit.m4,
	config/gr_check_mc4020.m4, config/gr_check_usrp.m4, config/gr_doxygen.m4,
	config/gr_gprof.m4, config/gr_scripting.m4, config/gr_set_md_cpu.m4,
	config/pkg.m4, config/usrp_fusb_tech.m4: added additional quoting
	to first arg of AC_DEFUN to silence automake warning.

2004-09-18  Eric Blossom  <eb@comsec.com>

	These changes happened somewhere around DCC

	* python/usrp/usrp_fft.py: new
	* python/usrp1/dsb_tx.py: new double sideband AM transmitter
	* python/usrp1/fm_tx4.py: simultaneous 4 channel narrow band FM transmitter
	* python/usrp1/fsk_rx.py: FSK Rx module.  Needs some work.
	* python/usrp1/fsk_tx.py: FSK Tx module.  Needs some work.

2004-08-19  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_rx_file.py (main): added command line parsing.
	* python/usrp/usrp_siggen.py: added command line parsing.

	* python/usrp1/test_digital_loopback_lfsr.py,
	python/usrp1/test_digital_loopback_counting.py,
	python/usrp1/test_digital_counting.py: new.  Take advantage of
	scheduler fix to implement both the tx and rx path's in the same
	flow graph.


2004-07-31  Eric Blossom  <eb@comsec.com>

	* python/usrp0, python/usrp1: new directories for rev specific examples.
	* python/usrp1/loopback.py (main): new.

2004-07-30  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_siggen.py: now directly queries hardware for dac freq.
	* python/usrp/usrp_rx_file.py: now directly queries hardware for dac freq.

2004-07-17  Eric Blossom  <eb@comsec.com>

	* python/mc4020/fm_demod.py: updated to use new mc4020 block, formatting

2004-07-12  Eric Blossom  <eb@comsec.com>

	* configure.ac: upped rev to 0.1cvs

2004-07-03  Eric Blossom  <eb@comsec.com>

	* python/usrp/usrp_siggen.py: Yeah!  The first demo program that
	reconfigures the flow graph on the fly!

#
# Copyright 2004 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
# 
